<?php
/**
 * @package    com_responsibilities
 * @subpackage component
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

// import joomla controller library
jimport('joomla.application.component.controller');

if(!DEFINED('DS')) {
	DEFINE('DS', '/');
}

// require helper file
JLoader::register('ResponsibilitiesCategories', JPATH_COMPONENT_ADMINISTRATOR.'/helpers/category.php');

//Load stylesheet if enabled
$params = JComponentHelper::getParams('com_responsibilities');
if($params->get('load_css', 1) == 1) {
    $document = JFactory::getDocument();
    $document->addStyleSheet(JURI::root(true) . DS . "components/com_responsibilities/assets/com_responsibilities_style.css");
}

// Get an instance of the controller prefixed by HelloWorld
$controller = JControllerLegacy::getInstance('Responsibilities');
$input      = JFactory::getApplication()->input;
$task       = $input->get('task');
$view       = $input->get('view');

// Perform the Request task
$controller->execute($task);

// Redirect if set by the controller
$controller->redirect();